Package com.databricks.jdbc.model.core

## Class ResultColumn

- java.lang.Object
- - com.databricks.jdbc.model.core.ResultColumn

    public class ResultColumn
    extends Object

### Constructor Summary

Constructors
`ResultColumn​(String columnName, String resultSetColumnName, Integer columnType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getColumnName()`
`Integer` `getColumnPrecision()`
`Integer` `getColumnScale()`
`Integer` `getColumnTypeInt()`
`String` `getColumnTypeString()`
`String` `getResultSetColumnName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultColumn

    public ResultColumn​(String columnName,
                        String resultSetColumnName,
                        Integer columnType)

### Method Detail

#### getColumnName

    public String getColumnName()

#### getResultSetColumnName

    public String getResultSetColumnName()

#### getColumnTypeInt

    public Integer getColumnTypeInt()

#### getColumnTypeString

    public String getColumnTypeString()

#### getColumnPrecision

    public Integer getColumnPrecision()

#### getColumnScale

    public Integer getColumnScale()